image: python:3.8

variables:
  PIP_CACHE_DIR: "$CI_PROJECT_DIR/.cache/pip"

cache:
  paths:
    - .cache/pip
    - venv/

before_script:
  - python -V

test-flake8:
  script:
    - ls -la
    - pip install tox flake8
    - tox -e py38,flake8
test-pycodestyle:
  script:
    - pip install tox
    - tox -epycodestyle
